:- consult('AdimenSUMOAxioms.pl').
:- consult('writeAxioms.pl').

print_classes:-
		open('SUMOClasses.txt',write,S),
		SB =..['$subclass',_,_],
		findall(SB,(axiom(_,_,SB,unitClause),print_to_file(S,SB),print_to_file(S,'\n')),_),
		close(S).

print_objects:-
		open('SUMOObjects.txt',write,S),
		I =..['$instance',_,_],
		findall(I,(axiom(_,_,I,unitClause),print_to_file(S,I),print_to_file(S,'\n')),_),
		close(S).

print_relations:-
		open('SUMORelations.txt',write,S),
		R =..['subrelation',_,_],
		findall(R,(axiom(_,_,R,unitClause),print_to_file(S,R),print_to_file(S,'\n')),_),
		close(S).

print_attributes:-
		open('SUMOAttributes.txt',write,S),
		A =..['subAttribute',_,_],
		findall(A,(axiom(_,_,A,unitClause),print_to_file(S,A),print_to_file(S,'\n')),_),
		close(S).
		
